import ConfigParser

class Config:
	def __init__(self, file):
		self.config = ConfigParser.ConfigParser()
		self.config.read(file)
	# __init__

	def section_map(self, section):
		d = {}
		options = self.config.options(section)
		for option in options:
			try:
				d[option] = self.config.get(section, option)
			except:
				print( 'exception on %s!' % option)
				d[option] = None
			# rry
		# for

		return d
	# section_map
# Config